export default class modelCompress {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelCompress/list', 'post', params, axiosOption, httpOption);
  }
          
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelCompress/view', 'get', params, axiosOption, httpOption);
  }
          
  static export (sender, params, fileName) {
    return sender.download('/admin/app/modelCompress/export', params, fileName);
  }
          
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelCompress/add', 'post', params, axiosOption, httpOption);
  }
          
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelCompress/update', 'post', params, axiosOption, httpOption);
  }
          
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelCompress/delete', 'post', params, axiosOption, httpOption);
  }
}
